Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_DEV_Addr Class Reference

Defines device address family address format. More...

`#include <DEV_Addr.h>`

Inheritance diagram for ACE_DEV_Addr

[legend]
Collaboration diagram for ACE_DEV_Addr:

[legend]
List of all members.

## Public Methods
| ACE_DEV_Addr (void)
| Default constructor.
| ACE_DEV_Addr (const ACE_DEV_Addr &sa)
| Copy constructor.
int | set (const ACE_DEV_Addr &sa)
| Acts like a copy constructor.
ACE_EXPLICIT | ACE_DEV_Addr (const ACE_TCHAR *devname)
| Create a ACE_DEV_Addr from a device name.
void | set (const ACE_TCHAR *devname)
| Create a ACE_Addr from a ACE_DEV pathname.
ACE_DEV_Addr& | operator= (const ACE_DEV_Addr &)
| Assignment operator.
virtual void* | get_addr (void) const
| Return a pointer to the address.
virtual int | addr_to_string (ACE_TCHAR *addr, size_t) const
| Transform the current address into string format.
int | operator== (const ACE_DEV_Addr &SAP) const
| Compare two addresses for equality.
int | operator!= (const ACE_DEV_Addr &SAP) const
| Compare two addresses for inequality.
const ACE_TCHAR* | get_path_name (void) const
| Return the path name used for the rendezvous point.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
ACE_TCHAR | devname_ [MAXNAMLEN + 1]
| Name of the device.

## Detailed Description

Defines device address family address format.

## Constructor & Destructor Documentation

ACE_DEV_Addr::ACE_DEV_Addr ( | void )

| Default constructor.

ACE_DEV_Addr::ACE_DEV_Addr ( | const ACE_DEV_Addr & sa )

| Copy constructor.

ACE_EXPLICIT ACE_DEV_Addr::ACE_DEV_Addr ( | const ACE_TCHAR * devname )

| Create a ACE_DEV_Addr from a device name.

## Member Function Documentation

ACE_INLINE int ACE_DEV_Addr::addr_to_string ( | ACE_TCHAR * s,
| size_t len ) const`[virtual]`

| Transform the current address into string format.

void ACE_DEV_Addr::dump ( | void ) const

| Dump the state of an object. Reimplemented from ACE_Addr.

ACE_INLINE void * ACE_DEV_Addr::get_addr ( | void ) const`[virtual]`

| Return a pointer to the address. Reimplemented from ACE_Addr.

ACE_INLINE const ACE_TCHAR * ACE_DEV_Addr::get_path_name ( | void ) const

| Return the path name used for the rendezvous point.

ACE_INLINE int ACE_DEV_Addr::operator!= ( | const ACE_DEV_Addr & sap ) const

| Compare two addresses for inequality.

ACE_DEV_Addr & ACE_DEV_Addr::operator= ( | const ACE_DEV_Addr & sa )

| Assignment operator.

ACE_INLINE int ACE_DEV_Addr::operator== ( | const ACE_DEV_Addr & sap ) const

| Compare two addresses for equality.

ACE_INLINE void ACE_DEV_Addr::set ( | const ACE_TCHAR * devname )

| Create a ACE_Addr from a ACE_DEV pathname.

int ACE_DEV_Addr::set ( | const ACE_DEV_Addr & sa )

| Acts like a copy constructor.

## Member Data Documentation

ACE_DEV_Addr::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Addr.

ACE_TCHAR ACE_DEV_Addr::devname_[MAXNAMLEN+1]`[private]`

| Name of the device.

The documentation for this class was generated from the following files:

- DEV_Addr.h
- DEV_Addr.cpp
- DEV_Addr.i